.\" -*- nroff -*-
.\"
.\" Copyright (c) 1996 Doug Rabson
.\"
.\" All rights reserved.
.\"
.\" This program is free software.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man9/VOP_SELECT.9,v 1.1.2.3 1999/09/05 11:27:13 peter Exp $
.\"
.Dd July 24, 1996
.Os
.Dt VOP_SELECT 9
.Sh NAME
.Nm VOP_SELECT
.Nd wait for I/O to be possible
.Sh SYNOPSIS
.Fd #include <sys/vnode.h>
.Ft int
.Fn VOP_SELECT "struct vnode *vp" "int which" "int fflags" "struct ucred *cred" "struct proc *p"
.Sh DESCRIPTION
Wait until I/O is possible on a file.
.Pp
Its arguments are:
.Bl -tag -width fflags
.It Ar vp
the vnode of the file
.It Ar which
the type of I/O to wait for
.It Ar fflags
some flags ???
.It Ar cred
the caller's credentials
.It Ar p
the calling process
.El
.Sh PSEUDOCODE
.Bd -literal
int
vop_select(struct vnode *vp, int which, int fflags,
	   struct ucred *cred, struct proc *p)
{
    return 1;
}
.Ed
.Sh ERRORS
.Bl -tag -width Er
.It Bq Er ENOSPC
The filesystem is full.
.It Bq Er EDQUOT
Quota exceeded.
.El
.Sh SEE ALSO
.Xr vnode 9
.Sh AUTHORS
This man page was written by Doug Rabson.

